Opened 3 years ago

Last modified 3 years ago

#5238 reopened defect

gapless playback doesn't work (with at least Opus)

Reported by: calestyo Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Hi.

It seems that ffmpeg has quite some issues with respect to gapless playback at several formats.
I'll show it here for Opus but it probably doesn't work for at least AAC either.

The following is basically from https://github.com/mpv-player/mpv/issues/2823, which AFAIU uses ffmpeg for opus playback:


The approach is basically: take and two tracks that play gapless (or take a single track and split it at a position with audio into two WAVs), encode them with opusenc, play it back with mpv... and one will hear a really very tiny gap (which sounds therefore more like a click) between the two.

Encoding settings I've used were: opusenc --bitrate 128 --vbr in.wav out.opus.
Further, I decoded the opus files again with opusdec, opened the 6 files in audactiy (which AFAICS also uses ffmpeg to import Opus, just as mpv) and concatenated the corresponding files:

1st track: original WAV
2nd track: ffmpeg imported Opus
3rd track: WAV, gained by decoding the Opus files with opusdec

The beginning looks like:
screenshot from 2016-02-14 23-26-40
The approach is basically: take and two tracks that play gapless (or take a single track and split it at a position with audio into two WAVs), encode them with opusenc, play it back with mpv... and one will hear a really very tiny gap (which sounds therefore more like a click) between the two.

Encoding settings I've used were: opusenc --bitrate 128 --vbr in.wav out.opus.
Further, I decoded the opus files again with opusdec, opened the 6 files in audactiy (which AFAICS also uses ffmpeg to import Opus, just as mpv) and concatenated the corresponding files:

1st track: original WAV
2nd track: ffmpeg imported Opus
3rd track: WAV, gained by decoding the Opus files with opusdec

The beginning looks like beginning.png.

The join section looks like intersection.png

And the end like end.png

One can quite clearly see that 1st and 3rd track are pretty fine... but the directly read Opus is not only shifted, but also badly broken at the intersection.


I have basically the same problem with AAC, more detailed described here:
https://github.com/mpv-player/mpv/issues/2284
and
https://github.com/mstorsjo/fdk-aac/issues/35
https://github.com/nu774/fdkaac/issues/19

Interestingly, mpv does perfectly playback MP3s encoded gaplessly with lame (which confusingly does mean NOT to use the --gapless* options, which are broken for a long time).

mplayer OTOH, fails to badly with playing back anything gapless (including WAVs)

Cheers,
Chris.

Attachments (3)

beginning.png (109.7 KB) - added by calestyo 3 years ago.
intersection.png (101.5 KB) - added by calestyo 3 years ago.
end.png (80.9 KB) - added by calestyo 3 years ago.

Download all attachments as: .zip

Change History (16)

Changed 3 years ago by calestyo

Changed 3 years ago by calestyo

Changed 3 years ago by calestyo

comment:1 Changed 3 years ago by calestyo

Oh and I should perhaps mention, my mpv and ffmpeg+libs are those from Debian unstable, that is:

$ apt-cache showsrc ffmpeg | grep ^Version:
Version: 7:2.8.5-1
Last edited 3 years ago by cehoyos (previous) (diff)

comment:2 Changed 3 years ago by cehoyos

  • Priority changed from important to normal

Please test current FFmpeg git head and provide the command line that allows to reproduce the issue together with the complete, uncut console output to make this a valid ticket.

comment:3 Changed 3 years ago by calestyo

Hey.

Uhm... that will definitely take some time to get it tested on git HEAD... quite busy right now.

Have there been any changes with respect to areas that could affect the gapless encoding recently, that would make you think it may already be fixed?

Also, the programs where I've noted the gap/distortions use ffmpeg as library... so there is no direct command line to reproduce this.

In the meantime I did the following (but that's again with 2.8.6 and not with HEAD):

$ ffmpeg -i 1.opus  1.wav
ffmpeg version 2.8.6-1+b1 Copyright (c) 2000-2016 the FFmpeg developers
  built with gcc 5.3.1 (Debian 5.3.1-8) 20160205
  configuration: --prefix=/usr --extra-version=1+b1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=1+b1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --disable-doc --disable-programs --disable-avdevice --disable-avfilter --disable-avformat --disable-avresample --disable-postproc --disable-swscale --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_aacenc --enable-libvo_amrwbenc
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
[ogg @ 0x1b363c0] 2554 bytes of comment header remain
[mjpeg @ 0x1b3a280] Changeing bps to 8
Input #0, ogg, from '1.opus':
  Duration: 00:01:31.54, start: 0.000000, bitrate: 141 kb/s
    Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
    Metadata:
      ENCODER         : opusenc from opus-tools 0.1.9
      ENCODER_OPTIONS : --bitrate 128 --vbr
      TITLE           : Durch die Wildnis zum Schloß
      RELEASECOUNTRY  : DE
      TOTALDISCS      : 2
      LABEL           : Polydor
      TOTALTRACKS     : 17
      MUSICBRAINZ_ALBUMARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      DATE            : 1998-10-12
      disc            : 1
      TRACKTOTAL      : 17
      MUSICBRAINZ_RELEASETRACKID: dcb9a710-97d1-3933-bac5-5f44ddd97026
      ASIN            : B0000243VE
      ALBUMARTISTSORT : Steinman, Jim
      ORIGINALDATE    : 1998-03-02
      SCRIPT          : Latn
      MUSICBRAINZ_ALBUMID: 01dbec76-ef97-4676-9f2e-dc6b3f4df7b2
      RELEASESTATUS   : official
      album_artist    : Jim Steinman
      ACOUSTID_ID     : 5fa1b0cf-1497-4836-abc4-15fc26094a13
      CATALOGNUMBER   : 559 379-2
      ALBUM           : Tanz der Vampire: Die Gesamtaufnahme
      MUSICBRAINZ_ARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      MEDIA           : CD
      RELEASETYPE     : album;soundtrack
      ORIGINALYEAR    : 1998
      ARTIST          : Jim Steinman
      MUSICBRAINZ_RELEASEGROUPID: c7bbfb01-144a-3516-9456-01eb5f3923b8
      DISCTOTAL       : 2
      BARCODE         : 731455937923
      MUSICBRAINZ_TRACKID: 96ebd96e-c88a-4370-b752-ce7a587e0f2e
      ARTISTSORT      : Steinman, Jim
      ARTISTS         : Jim Steinman
      track           : 16
    Stream #0:1: Video: mjpeg, yuvj420p(pc, bt470bg/unknown/unknown), 500x500 [SAR 1:1 DAR 1:1], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      comment         : Cover (front)
Output #0, wav, to '1.wav':
  Metadata:
    ISFT            : Lavf56.40.101
    Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
    Metadata:
      track           : 16
      ENCODER_OPTIONS : --bitrate 128 --vbr
      TITLE           : Durch die Wildnis zum Schloß
      RELEASECOUNTRY  : DE
      TOTALDISCS      : 2
      LABEL           : Polydor
      TOTALTRACKS     : 17
      MUSICBRAINZ_ALBUMARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      DATE            : 1998-10-12
      disc            : 1
      TRACKTOTAL      : 17
      MUSICBRAINZ_RELEASETRACKID: dcb9a710-97d1-3933-bac5-5f44ddd97026
      ASIN            : B0000243VE
      ALBUMARTISTSORT : Steinman, Jim
      ORIGINALDATE    : 1998-03-02
      SCRIPT          : Latn
      MUSICBRAINZ_ALBUMID: 01dbec76-ef97-4676-9f2e-dc6b3f4df7b2
      RELEASESTATUS   : official
      album_artist    : Jim Steinman
      ACOUSTID_ID     : 5fa1b0cf-1497-4836-abc4-15fc26094a13
      CATALOGNUMBER   : 559 379-2
      ALBUM           : Tanz der Vampire: Die Gesamtaufnahme
      MUSICBRAINZ_ARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      MEDIA           : CD
      RELEASETYPE     : album;soundtrack
      ORIGINALYEAR    : 1998
      ARTIST          : Jim Steinman
      MUSICBRAINZ_RELEASEGROUPID: c7bbfb01-144a-3516-9456-01eb5f3923b8
      DISCTOTAL       : 2
      BARCODE         : 731455937923
      MUSICBRAINZ_TRACKID: 96ebd96e-c88a-4370-b752-ce7a587e0f2e
      ARTISTSORT      : Steinman, Jim
      ARTISTS         : Jim Steinman
      encoder         : Lavc56.60.100 pcm_s16le
Stream mapping:
  Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))
Press [q] to stop, [?] for help
size=   17164kB time=00:01:31.53 bitrate=1536.1kbits/s    
video:0kB audio:17164kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.000444%
$ ffmpeg -i 2.opus  2.wav
ffmpeg version 2.8.6-1+b1 Copyright (c) 2000-2016 the FFmpeg developers
  built with gcc 5.3.1 (Debian 5.3.1-8) 20160205
  configuration: --prefix=/usr --extra-version=1+b1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=1+b1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --disable-doc --disable-programs --disable-avdevice --disable-avfilter --disable-avformat --disable-avresample --disable-postproc --disable-swscale --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_aacenc --enable-libvo_amrwbenc
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
[ogg @ 0x1ee53c0] 11772 bytes of comment header remain
[mjpeg @ 0x1ee9280] Changeing bps to 8
Input #0, ogg, from '2.opus':
  Duration: 00:10:45.07, start: 0.000000, bitrate: 134 kb/s
    Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
    Metadata:
      ENCODER         : opusenc from opus-tools 0.1.9
      ENCODER_OPTIONS : --bitrate 128 --vbr
      TITLE           : Vor dem Schloß - Finale erster Akt
      RELEASECOUNTRY  : DE
      TOTALDISCS      : 2
      LABEL           : Polydor
      TOTALTRACKS     : 17
      MUSICBRAINZ_ALBUMARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      DATE            : 1998-10-12
      disc            : 1
      TRACKTOTAL      : 17
      MUSICBRAINZ_RELEASETRACKID: 6d86a456-abd4-395e-a35e-cabc457d5561
      ASIN            : B0000243VE
      ALBUMARTISTSORT : Steinman, Jim
      ORIGINALDATE    : 1998-03-02
      SCRIPT          : Latn
      MUSICBRAINZ_ALBUMID: 01dbec76-ef97-4676-9f2e-dc6b3f4df7b2
      RELEASESTATUS   : official
      album_artist    : Jim Steinman
      ACOUSTID_ID     : 277d72a4-c118-4031-b3a7-f8016db3ec75
      CATALOGNUMBER   : 559 379-2
      ALBUM           : Tanz der Vampire: Die Gesamtaufnahme
      MUSICBRAINZ_ARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      MEDIA           : CD
      RELEASETYPE     : album;soundtrack
      ORIGINALYEAR    : 1998
      ARTIST          : Jim Steinman
      MUSICBRAINZ_RELEASEGROUPID: c7bbfb01-144a-3516-9456-01eb5f3923b8
      DISCTOTAL       : 2
      BARCODE         : 731455937923
      MUSICBRAINZ_TRACKID: 125cc226-3f47-4d2a-8aa2-03fe2f9971af
      ARTISTSORT      : Steinman, Jim
      ARTISTS         : Jim Steinman
      track           : 17
    Stream #0:1: Video: mjpeg, yuvj420p(pc, bt470bg/unknown/unknown), 500x500 [SAR 1:1 DAR 1:1], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      comment         : Cover (front)
Output #0, wav, to '2.wav':
  Metadata:
    ISFT            : Lavf56.40.101
    Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
    Metadata:
      track           : 17
      ENCODER_OPTIONS : --bitrate 128 --vbr
      TITLE           : Vor dem Schloß - Finale erster Akt
      RELEASECOUNTRY  : DE
      TOTALDISCS      : 2
      LABEL           : Polydor
      TOTALTRACKS     : 17
      MUSICBRAINZ_ALBUMARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      DATE            : 1998-10-12
      disc            : 1
      TRACKTOTAL      : 17
      MUSICBRAINZ_RELEASETRACKID: 6d86a456-abd4-395e-a35e-cabc457d5561
      ASIN            : B0000243VE
      ALBUMARTISTSORT : Steinman, Jim
      ORIGINALDATE    : 1998-03-02
      SCRIPT          : Latn
      MUSICBRAINZ_ALBUMID: 01dbec76-ef97-4676-9f2e-dc6b3f4df7b2
      RELEASESTATUS   : official
      album_artist    : Jim Steinman
      ACOUSTID_ID     : 277d72a4-c118-4031-b3a7-f8016db3ec75
      CATALOGNUMBER   : 559 379-2
      ALBUM           : Tanz der Vampire: Die Gesamtaufnahme
      MUSICBRAINZ_ARTISTID: 80e7cb60-3ed8-46dd-8eec-9052606306f2
      MEDIA           : CD
      RELEASETYPE     : album;soundtrack
      ORIGINALYEAR    : 1998
      ARTIST          : Jim Steinman
      MUSICBRAINZ_RELEASEGROUPID: c7bbfb01-144a-3516-9456-01eb5f3923b8
      DISCTOTAL       : 2
      BARCODE         : 731455937923
      MUSICBRAINZ_TRACKID: 125cc226-3f47-4d2a-8aa2-03fe2f9971af
      ARTISTSORT      : Steinman, Jim
      ARTISTS         : Jim Steinman
      encoder         : Lavc56.60.100 pcm_s16le
Stream mapping:
  Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))
Press [q] to stop, [?] for help
size=  120951kB time=00:10:45.06 bitrate=1536.0kbits/s    
video:0kB audio:120951kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.000063%

When one then looks at the ffmpeg-decoded WAV files, i.e. opens them in e.g. audacity and concatenates them there... one again sees a clear gap (and also the shifting at the begin and end) that I've already showed above in the screenshots.

I've sent you a link to sample files via email (it's okay if you share these with other developers, but please not publicly or the files on file sharing networks ;-) )... perhaps you can have a look at them or even quickly check it on HEAD.
The download area contains the original wav files, opus, MP3 and a range of differently encoded AACs.

The sample WAVs obviously playback gaplessly,.. the MP3's as well (e.g. when played back with mpv) and when decoding them with ffmpeg to WAV, these WAVs look fine in audacity (i.e. no gap, pops, or other distortions).

When decoding however the opus or AACs... they show the various gaps/shifts/distortions that I've described here or in the URLs mentioned above (please see also there for screenshots and further information about how I encoded the AACs).

At the MPV bug (https://github.com/mpv-player/mpv/issues/2823#issuecomment-186240626) a developer implied the issue would not happen, when the opus files are muxed from the Ogg into an MKV container before... but I couldn't confirm this behaviour.

Best wishes,
Chris.

comment:4 Changed 3 years ago by calestyo

Just to note again, it would be helpful if you always cross-check the other bugreports mentioned before.

Especially interesting seems what Thomas Daede found out (https://github.com/mpv-player/mpv/issues/2823#issuecomment-186429855) namely that ffmpeg's decoding fails with the test vectors for Opus trimming (https://people.xiph.org/~greg/opus_testvectors/correctness_trimming_nobeeps.opus).

comment:5 Changed 3 years ago by calestyo

  • Version changed from unspecified to git-master

Okay I'll attach a new set of sample files, all except music*.* should be free (source Wikicommons), and the music is just an excerpt.

Except otherwise noted, all programs are from Debian unstable in the respective versions.
lame 3.99.5
oggenc from vorbis-tools 1.4.0
opusenc opus-tools 0.1.9 (using libopus 1.1.1)
audacity 2.1.2

for the listening tests and what audacity used:
mplayer 1.2
mpv 0.14.0
ffmpeg version: 2.8.6

libavutil 54.31.100
libavcodec 56.60.100
libavformat 56.40.101
libswscale 3.1.101
libavfilter 5.40.101
libswresample 1.2.101

All files except music*.* were originally Oggs, which I've oggdec'ed to wav. music*.* was originally a WAV from CD-DA.
The WAV files I've split/trimmed with audacity into two pieces.
The files triangle*.wav are somehow strange,.. even the splitted WAV files showed already distortions at playing... no idea why?!

All these resulting WAV files were then encoded with the following encoders/options (so far I've left out AAC, may follow later):
lame --verbose -q 0 -v -V 4 --noreplaygain in.wav out.mp3
oggenc -q5 in.wav out.mp3
opusenc --bitrate 128 --vbr in.wav out.mp3

Listening tests:
mplayer beep0.wav beep1.wav => gap/pops/distortions
mplayer beep0.mp3 beep1.mp3 => gap/pops/distortions
mplayer beep0.ogg beep1.ogg => gap/pops/distortions
mplayer beep0.opus beep1.opus => gap/pops/distortions
mplayer h-moll0.wav h-moll1.wav => gap/pops/distortions
mplayer h-moll0.mp3 h-moll1.mp3 => gap/pops/distortions
mplayer h-moll0.ogg h-moll1.ogg => gap/pops/distortions
mplayer h-moll0.opus h-moll1.opus => gap/pops/distortions
mplayer music0.wav music1.wav => gap/pops/distortions
mplayer music0.mp3 music1.mp3 => gap/pops/distortions
mplayer music0.ogg music1.ogg => gap/pops/distortions
mplayer music0.opus music1.opus => gap/pops/distortions
=> mplayer completely fails to properly play back gaplessly and/or without distortions between files

mpv beep0.wav beep1.wav => OK
mpv beep0.mp3 beep1.mp3 => a very difficult to hear pop
mpv beep0.ogg beep1.ogg => gap/pops/distortions
mpv beep0.opus beep1.opus => gap/pops/distortions
mpv h-moll0.wav h-moll1.wav => OK
mpv h-moll0.mp3 h-moll1.mp3 => gap/pops/distortions
mpv h-moll0.ogg h-moll1.ogg => gap/pops/distortions
mpv h-moll0.opus h-moll1.opus => gap/pops/distortions
mpv music0.wav music1.wav => OK
mpv music0.mp3 music1.mp3 => unsure...maybe ok
mpv music0.ogg music1.ogg => gap/pops/distortions
mpv music0.opus music1.opus => gap/pops/distortions

For the following tests, FFmpeg was taken from git's HEAD of master (2b5b0011823c02e9853571e71ef362d95406eae0):
with ./configure --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc

All the above files were read and decoded to WAV (the results are attached).
Logs for that are attached.

Playing back those FFmpeg decoded WAV files with mpv should now quite obviously show, where ffmpeg fails with proper gapless decoding (and thus playback for any those programs that use ffmpeg's libs for that):
mpv beep0.wav.wav beep1.wav.wav => OK
mpv beep0.mp3.wav beep1.mp3.wav => again, a very difficult to hear pop
mpv beep0.ogg.wav beep1.ogg.wav => gap/pops/distortions
mpv beep0.opus.wav beep1.opus.wav => gap/pops/distortions

mpv h-moll0.wav.wav h-moll1.wav.wav => OK
mpv h-moll0.mp3.wav h-moll1.mp3.wav => gap/pops/distortions
mpv h-moll0.ogg.wav h-moll1.ogg.wav => gap/pops/distortions
mpv h-moll0.opus.wav h-moll1.opus.wav => gap/pops/distortions

mpv muisc0.wav.wav muisc1.wav.wav => OK
mpv muisc0.mp3.wav muisc1.mp3.wav => unsure, but probably audible pop
mpv muisc0.ogg.wav muisc1.ogg.wav => slight, but still audible gap/pops/distortions
mpv muisc0.opus.wav muisc1.opus.wav => slight, but still audible gap/pops/distortions

(btw: I'd guess the cases of music*.mp3*, are not really okay,... but that I just cannot hear the pop due to the audio played)

Since one may not believe my ears and/or mpv, one should open the decoded WAVs in some WAV editor and place the original WAVs next to it...
I made this exemplary for beep and music:
at begin/end:

  • one sees shifts/length changes compared to the original wav

at the intersection:

  • MP3 fails for beep (big gap),... for music I cannot see anything, but still can hear a short pop/click around that area
  • ogg... seemed okay for beep (and IIRC even played okay)... but for music, one sees a short amount of silence just before the bar... which is actually audible
  • opus fails for both, big gap.

comment:6 Changed 3 years ago by gjdfgh

It'd be better to take mpv and mplayer out of this, and reproduce purely with the ffmpeg command line utility.

comment:7 Changed 3 years ago by calestyo

uff... that trac has a very limited max size for attachments...
Since I don't want to die while I'm clicking a thousand times, I've uploaded some tarballs with all samples here:
http://christoph.anton.mitterer.name/tmp/public/0cac7e92-d8f3-11e5-8eeb-0019dbacbbbf/

Perhaps someone with more rights can copy it over as attachments here.

comment:8 Changed 3 years ago by calestyo

@gjdfgh, read my post,... I made also tests without mpv... playing back the ffmpeg decoded and concatenated files with ffplay doesn't really change anything... and I cannot play back two files with ffplay, so there will be always a gap when using just that...

comment:9 Changed 3 years ago by calestyo

for the records: I've split out the issue with the wrong decoding of the opus test vector file into bug #5258

comment:10 Changed 3 years ago by cehoyos

  • Resolution set to needs_more_info
  • Status changed from new to closed

Please reopen this ticket if you can provide the ffmpeg command line that allows to reproduce this issue together with the complete, uncut console output.

comment:11 follow-up: Changed 3 years ago by calestyo

  • Resolution needs_more_info deleted
  • Status changed from closed to reopened

Uhm... Carl,... I'm a bit unsure what you want more...

The command line with ffmpeg is already given above:
$ ffmpeg -i in.{mp3/opus/ogg/wav} out.wav
and this I do for each of the sample files.

I did it with git's HEAD for master as you requested, provided all console output in the log files (contained in the tarball), and showed quite clearly where decoding with ffmpeg apparently doesn't work as it should by both, listening tests when playing these ffmpeg-decoded WAVs and/or opening them in a wav editor.

Unless ffmpeg contains a secret gui WAV editor and/or or a player that plays more then one file, there's really not.
Also I do not quite understand why you ask again for the console output, if it's already part of the tarball..

comment:12 in reply to: ↑ 11 Changed 3 years ago by cehoyos

Replying to calestyo:

The command line with ffmpeg is already given above:
$ ffmpeg -i in.{mp3/opus/ogg/wav} out.wav
and this I do for each of the sample files.

I did it with git's HEAD for master as you requested, provided all console output in the log files (contained in the tarball)

Please do not upload the console output, instead post it here in the ticket (I had no idea that you uploaded it), this makes it much easier for everybody to see it.

comment:13 Changed 3 years ago by calestyo

Sigh,...
Carl, this ticket is obviously not spam or invalid... you've already wrote me in private that you're likely not going to technically work on it... I did write in my text that the console output are contained (and even if not, one would have easily seen it from looking at the tarball).

So not only do I think it's perhaps not the best approach to blindly close such a ticket without barely looking at it... but why do you insist on special forms of posting?
You may prefer having the output directly in the ticket, the next one may think it clutters that up,... the next one would like to have it one pastbin, another one on facebook and so on.

Apart from that, I'd rather doubt the console output tells much of worth,... there is not error in terms of an error message happening... it's just that the audio produced is not as it should be.

Anyway... copy&pasting from ffmpeg-git-decoded.tar.xz’s log.err:

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0x6ae2e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './music1.mp3':

Duration: 00:00:05.09, start: 0.025057, bitrate: 122 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, stereo, s16p, 122 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0x6c01a0] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x6c0500] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x6c25a0] ch:2 chl:stereo fmt:s16p r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./music1.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 870kB time=00:00:05.04 bitrate=1411.3kbits/s speed= 242x
video:0kB audio:870kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.008759%
Input file #0 (./music1.mp3):

Input stream #0:0 (audio): 195 packets read (77729 bytes); 195 frames decoded (222623 samples);
Total: 195 packets (77729 bytes) demuxed

Output file #0 (dec/./music1.mp3.wav):

Output stream #0:0 (audio): 195 frames encoded (222623 samples); 195 packets muxed (890492 bytes);
Total: 195 packets (890492 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './h-moll0.ogg':

Duration: 00:00:00.78, start: 0.000000, bitrate: 141 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, stereo, fltp, 160 kb/s

[graph 0 input from stream 0:0 @ 0x2369fc0] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x236a6a0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x236c6a0] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./h-moll0.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 137kB time=00:00:00.79 bitrate=1412.0kbits/s speed= 293x
video:0kB audio:137kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.055499%
Input file #0 (./h-moll0.ogg):

Input stream #0:0 (audio): 41 packets read (9231 bytes); 40 frames decoded (35136 samples);
Total: 41 packets (9231 bytes) demuxed

Output file #0 (dec/./h-moll0.ogg.wav):

Output stream #0:0 (audio): 40 frames encoded (35136 samples); 40 packets muxed (140544 bytes);
Total: 40 packets (140544 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x1c762e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './music1.wav':

Duration: 00:00:05.05, bitrate: 1411 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 2 channels, s16, 1411 kb/s

[graph 0 input from stream 0:0 @ 0x1ca3440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x3
Output #0, wav, to 'dec/./music1.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 870kB time=00:00:05.04 bitrate=1411.3kbits/s speed= 825x
video:0kB audio:870kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.008759%
Input file #0 (./music1.wav):

Input stream #0:0 (audio): 218 packets read (890492 bytes); 218 frames decoded (222623 samples);
Total: 218 packets (890492 bytes) demuxed

Output file #0 (dec/./music1.wav.wav):

Output stream #0:0 (audio): 218 frames encoded (222623 samples); 218 packets muxed (890492 bytes);
Total: 218 packets (890492 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x6cf2e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './triangle.wav':

Duration: 00:00:07.91, bitrate: 1536 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, 2 channels, s16, 1536 kb/s

[graph 0 input from stream 0:0 @ 0x6fc440] tb:1/48000 samplefmt:s16 samplerate:48000 chlayout:0x3
Output #0, wav, to 'dec/./triangle.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 1484kB time=00:00:07.91 bitrate=1536.1kbits/s speed= 744x
video:0kB audio:1484kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.005134%
Input file #0 (./triangle.wav):

Input stream #0:0 (audio): 371 packets read (1519276 bytes); 371 frames decoded (379819 samples);
Total: 371 packets (1519276 bytes) demuxed

Output file #0 (dec/./triangle.wav.wav):

Output stream #0:0 (audio): 371 frames encoded (379819 samples); 371 packets muxed (1519276 bytes);
Total: 371 packets (1519276 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0x7a02e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './h-moll1.mp3':

Duration: 00:00:01.36, start: 0.025057, bitrate: 115 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, stereo, s16p, 115 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0x7bd2a0] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x7b23c0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x7b4160] ch:2 chl:stereo fmt:s16p r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./h-moll1.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 227kB time=00:00:01.31 bitrate=1411.7kbits/s speed= 257x
video:0kB audio:227kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.033583%
Input file #0 (./h-moll1.mp3):

Input stream #0:0 (audio): 52 packets read (19285 bytes); 52 frames decoded (58065 samples);
Total: 52 packets (19285 bytes) demuxed

Output file #0 (dec/./h-moll1.mp3.wav):

Output stream #0:0 (audio): 52 frames encoded (58065 samples); 52 packets muxed (232260 bytes);
Total: 52 packets (232260 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x17e72e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : mono
Input #0, wav, from './beep0.wav':

Duration: 00:00:05.00, bitrate: 705 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 1 channels, s16, 705 kb/s

[graph 0 input from stream 0:0 @ 0x1814440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x4
Output #0, wav, to 'dec/./beep0.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 431kB time=00:00:05.00 bitrate= 705.7kbits/s speed=1.67e+03x
video:0kB audio:431kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017687%
Input file #0 (./beep0.wav):

Input stream #0:0 (audio): 108 packets read (441000 bytes); 108 frames decoded (220500 samples);
Total: 108 packets (441000 bytes) demuxed

Output file #0 (dec/./beep0.wav.wav):

Output stream #0:0 (audio): 108 frames encoded (220500 samples); 108 packets muxed (441000 bytes);
Total: 108 packets (441000 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x1c092e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './h-moll0.wav':

Duration: 00:00:00.78, bitrate: 1411 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 2 channels, s16, 1411 kb/s

[graph 0 input from stream 0:0 @ 0x1c360e0] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x3
Output #0, wav, to 'dec/./h-moll0.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 134kB time=00:00:00.77 bitrate=1412.0kbits/s speed= 783x
video:0kB audio:134kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.056774%
Input file #0 (./h-moll0.wav):

Input stream #0:0 (audio): 34 packets read (137388 bytes); 34 frames decoded (34347 samples);
Total: 34 packets (137388 bytes) demuxed

Output file #0 (dec/./h-moll0.wav.wav):

Output stream #0:0 (audio): 34 frames encoded (34347 samples); 34 packets muxed (137388 bytes);
Total: 34 packets (137388 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0xc5e2e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './h-moll1.wav':

Duration: 00:00:01.32, bitrate: 1411 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 2 channels, s16, 1411 kb/s

[graph 0 input from stream 0:0 @ 0xc8b440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x3
Output #0, wav, to 'dec/./h-moll1.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 227kB time=00:00:01.31 bitrate=1411.7kbits/s speed= 867x
video:0kB audio:227kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.033583%
Input file #0 (./h-moll1.wav):

Input stream #0:0 (audio): 57 packets read (232260 bytes); 57 frames decoded (58065 samples);
Total: 57 packets (232260 bytes) demuxed

Output file #0 (dec/./h-moll1.wav.wav):

Output stream #0:0 (audio): 57 frames encoded (58065 samples); 57 packets muxed (232260 bytes);
Total: 57 packets (232260 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './beep0.ogg':

Duration: 00:00:05.00, start: 0.000000, bitrate: 84 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, mono, fltp, 96 kb/s

[graph 0 input from stream 0:0 @ 0x1ea9100] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x4
[audio format for output stream 0:0 @ 0x1ea92c0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x1ecb780] ch:1 chl:mono fmt:fltp r:44100Hz -> ch:1 chl:mono fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./beep0.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 431kB time=00:00:05.00 bitrate= 705.7kbits/s speed= 473x
video:0kB audio:431kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017684%
Input file #0 (./beep0.ogg):

Input stream #0:0 (audio): 226 packets read (48539 bytes); 225 frames decoded (220544 samples);
Total: 226 packets (48539 bytes) demuxed

Output file #0 (dec/./beep0.ogg.wav):

Output stream #0:0 (audio): 225 frames encoded (220544 samples); 225 packets muxed (441088 bytes);
Total: 225 packets (441088 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './h-moll1.ogg':

Duration: 00:00:01.32, start: 0.000000, bitrate: 141 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, stereo, fltp, 160 kb/s

[graph 0 input from stream 0:0 @ 0x69ffc0] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x6a06a0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x6a2740] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./h-moll1.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 231kB time=00:00:01.33 bitrate=1411.7kbits/s speed= 328x
video:0kB audio:231kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.033011%
Input file #0 (./h-moll1.ogg):

Input stream #0:0 (audio): 60 packets read (18730 bytes); 59 frames decoded (59072 samples);
Total: 60 packets (18730 bytes) demuxed

Output file #0 (dec/./h-moll1.ogg.wav):

Output stream #0:0 (audio): 59 frames encoded (59072 samples); 59 packets muxed (236288 bytes);
Total: 59 packets (236288 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x9212e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : mono
Input #0, wav, from './beep1.wav':

Duration: 00:00:05.00, bitrate: 705 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 1 channels, s16, 705 kb/s

[graph 0 input from stream 0:0 @ 0x94e440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x4
Output #0, wav, to 'dec/./beep1.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 431kB time=00:00:05.00 bitrate= 705.7kbits/s speed=1.68e+03x
video:0kB audio:431kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017687%
Input file #0 (./beep1.wav):

Input stream #0:0 (audio): 108 packets read (441000 bytes); 108 frames decoded (220500 samples);
Total: 108 packets (441000 bytes) demuxed

Output file #0 (dec/./beep1.wav.wav):

Output stream #0:0 (audio): 108 frames encoded (220500 samples); 108 packets muxed (441000 bytes);
Total: 108 packets (441000 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0x1e392e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './beep0.mp3':

Duration: 00:00:05.04, start: 0.025057, bitrate: 176 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, mono, s16p, 176 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0x1e4bec0] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x4
[audio format for output stream 0:0 @ 0x1e4c3c0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x1e4e460] ch:1 chl:mono fmt:s16p r:44100Hz -> ch:1 chl:mono fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./beep0.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 431kB time=00:00:05.00 bitrate= 705.7kbits/s speed= 353x
video:0kB audio:431kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017687%
Input file #0 (./beep0.mp3):

Input stream #0:0 (audio): 193 packets read (111039 bytes); 193 frames decoded (220500 samples);
Total: 193 packets (111039 bytes) demuxed

Output file #0 (dec/./beep0.mp3.wav):

Output stream #0:0 (audio): 193 frames encoded (220500 samples); 193 packets muxed (441000 bytes);
Total: 193 packets (441000 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './music0.ogg':

Duration: 00:00:03.01, start: 0.000000, bitrate: 186 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, stereo, fltp, 160 kb/s

[graph 0 input from stream 0:0 @ 0x2174fc0] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x21756a0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x21776a0] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./music0.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 519kB time=00:00:03.00 bitrate=1411.4kbits/s speed= 211x
video:0kB audio:518kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.014691%
Input file #0 (./music0.ogg):

Input stream #0:0 (audio): 303 packets read (64941 bytes); 302 frames decoded (132736 samples);
Total: 303 packets (64941 bytes) demuxed

Output file #0 (dec/./music0.ogg.wav):

Output stream #0:0 (audio): 302 frames encoded (132736 samples); 302 packets muxed (530944 bytes);
Total: 302 packets (530944 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0xaad2e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './triangle0.wav':

Duration: 00:00:01.55, bitrate: 1536 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, 2 channels, s16, 1536 kb/s

[graph 0 input from stream 0:0 @ 0xada440] tb:1/48000 samplefmt:s16 samplerate:48000 chlayout:0x3
Output #0, wav, to 'dec/./triangle0.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 291kB time=00:00:01.55 bitrate=1536.4kbits/s speed= 796x
video:0kB audio:291kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.026171%
Input file #0 (./triangle0.wav):

Input stream #0:0 (audio): 73 packets read (298036 bytes); 73 frames decoded (74509 samples);
Total: 73 packets (298036 bytes) demuxed

Output file #0 (dec/./triangle0.wav.wav):

Output stream #0:0 (audio): 73 frames encoded (74509 samples); 73 packets muxed (298036 bytes);
Total: 73 packets (298036 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0xff22e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './h-moll0.mp3':

Duration: 00:00:00.81, start: 0.025057, bitrate: 147 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, stereo, s16p, 147 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0x100c120] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x1003f60] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x1005f60] ch:2 chl:stereo fmt:s16p r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./h-moll0.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 134kB time=00:00:00.77 bitrate=1412.0kbits/s speed= 248x
video:0kB audio:134kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.056774%
Input file #0 (./h-moll0.mp3):

Input stream #0:0 (audio): 31 packets read (14597 bytes); 31 frames decoded (34347 samples);
Total: 31 packets (14597 bytes) demuxed

Output file #0 (dec/./h-moll0.mp3.wav):

Output stream #0:0 (audio): 31 frames encoded (34347 samples); 31 packets muxed (137388 bytes);
Total: 31 packets (137388 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0x17e72e0] 655 bytes of comment header remain
Input #0, ogg, from './music1.opus':

Duration: 00:00:05.06, start: 0.000000, bitrate: 127 kb/s

Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0x17ebfe0] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x3
[audio format for output stream 0:0 @ 0x17ec860] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x17ee5e0] ch:2 chl:stereo fmt:fltp r:48000Hz -> ch:2 chl:stereo fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./music1.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 948kB time=00:00:05.04 bitrate=1538.4kbits/s speed= 144x
video:0kB audio:948kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.008036%
Input file #0 (./music1.opus):

Input stream #0:0 (audio): 253 packets read (79101 bytes); 253 frames decoded (242667 samples);
Total: 253 packets (79101 bytes) demuxed

Output file #0 (dec/./music1.opus.wav):

Output stream #0:0 (audio): 253 frames encoded (242667 samples); 253 packets muxed (970668 bytes);
Total: 253 packets (970668 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0x16d02e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './beep1.mp3':

Duration: 00:00:05.04, start: 0.025057, bitrate: 177 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, mono, s16p, 177 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0x16e1d20] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x4
[audio format for output stream 0:0 @ 0x16e3220] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x16e51a0] ch:1 chl:mono fmt:s16p r:44100Hz -> ch:1 chl:mono fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./beep1.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 431kB time=00:00:05.00 bitrate= 705.7kbits/s speed= 363x
video:0kB audio:431kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017687%
Input file #0 (./beep1.mp3):

Input stream #0:0 (audio): 193 packets read (111298 bytes); 193 frames decoded (220500 samples);
Total: 193 packets (111298 bytes) demuxed

Output file #0 (dec/./beep1.mp3.wav):

Output stream #0:0 (audio): 193 frames encoded (220500 samples); 193 packets muxed (441000 bytes);
Total: 193 packets (441000 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './music1.ogg':

Duration: 00:00:05.05, start: 0.000000, bitrate: 138 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, stereo, fltp, 160 kb/s

[graph 0 input from stream 0:0 @ 0x216afc0] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0x216b6a0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x216d740] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./music1.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 872kB time=00:00:05.06 bitrate=1411.3kbits/s speed= 328x
video:0kB audio:872kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.008733%
Input file #0 (./music1.ogg):

Input stream #0:0 (audio): 244 packets read (82178 bytes); 243 frames decoded (223296 samples);
Total: 244 packets (82178 bytes) demuxed

Output file #0 (dec/./music1.ogg.wav):

Output stream #0:0 (audio): 243 frames encoded (223296 samples); 243 packets muxed (893184 bytes);
Total: 243 packets (893184 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0x80f2e0] 655 bytes of comment header remain
Input #0, ogg, from './beep0.opus':

Duration: 00:00:05.01, start: 0.000000, bitrate: 129 kb/s

Stream #0:0: Audio: opus, 48000 Hz, mono, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0x814000] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x4
[audio format for output stream 0:0 @ 0x814880] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x816880] ch:1 chl:mono fmt:fltp r:48000Hz -> ch:1 chl:mono fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./beep0.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, mono, s16, 768 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 470kB time=00:00:05.00 bitrate= 769.3kbits/s speed= 192x
video:0kB audio:469kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.016226%
Input file #0 (./beep0.opus):

Input stream #0:0 (audio): 251 packets read (79530 bytes); 251 frames decoded (240356 samples);
Total: 251 packets (79530 bytes) demuxed

Output file #0 (dec/./beep0.opus.wav):

Output stream #0:0 (audio): 251 frames encoded (240356 samples); 251 packets muxed (480712 bytes);
Total: 251 packets (480712 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0x263f2e0] 655 bytes of comment header remain
Input #0, ogg, from './beep1.opus':

Duration: 00:00:05.01, start: 0.000000, bitrate: 129 kb/s

Stream #0:0: Audio: opus, 48000 Hz, mono, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0x2644000] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x4
[audio format for output stream 0:0 @ 0x2644880] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x2646880] ch:1 chl:mono fmt:fltp r:48000Hz -> ch:1 chl:mono fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./beep1.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, mono, s16, 768 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 470kB time=00:00:05.00 bitrate= 769.3kbits/s speed= 193x
video:0kB audio:469kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.016226%
Input file #0 (./beep1.opus):

Input stream #0:0 (audio): 251 packets read (79345 bytes); 251 frames decoded (240356 samples);
Total: 251 packets (79345 bytes) demuxed

Output file #0 (dec/./beep1.opus.wav):

Output stream #0:0 (audio): 251 frames encoded (240356 samples); 251 packets muxed (480712 bytes);
Total: 251 packets (480712 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0x1bac2e0] 655 bytes of comment header remain
Input #0, ogg, from './h-moll1.opus':

Duration: 00:00:01.32, start: 0.000000, bitrate: 159 kb/s

Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0x1bb0fc0] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x3
[audio format for output stream 0:0 @ 0x1bb1440] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x1bb36a0] ch:2 chl:stereo fmt:fltp r:48000Hz -> ch:2 chl:stereo fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./h-moll1.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 248kB time=00:00:01.31 bitrate=1545.1kbits/s speed= 125x
video:0kB audio:248kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.030682%
Input file #0 (./h-moll1.opus):

Input stream #0:0 (audio): 67 packets read (25376 bytes); 67 frames decoded (63556 samples);
Total: 67 packets (25376 bytes) demuxed

Output file #0 (dec/./h-moll1.opus.wav):

Output stream #0:0 (audio): 67 frames encoded (63556 samples); 67 packets muxed (254224 bytes);
Total: 67 packets (254224 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x206a2e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './music0.wav':

Duration: 00:00:03.01, bitrate: 1411 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 2 channels, s16, 1411 kb/s

[graph 0 input from stream 0:0 @ 0x2097440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x3
Output #0, wav, to 'dec/./music0.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 518kB time=00:00:03.00 bitrate=1411.4kbits/s speed= 846x
video:0kB audio:518kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.014701%
Input file #0 (./music0.wav):

Input stream #0:0 (audio): 130 packets read (530592 bytes); 130 frames decoded (132648 samples);
Total: 130 packets (530592 bytes) demuxed

Output file #0 (dec/./music0.wav.wav):

Output stream #0:0 (audio): 130 frames encoded (132648 samples); 130 packets muxed (530592 bytes);
Total: 130 packets (530592 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

Input #0, ogg, from './beep1.ogg':

Duration: 00:00:05.00, start: 0.000000, bitrate: 88 kb/s

Stream #0:0: Audio: vorbis, 44100 Hz, mono, fltp, 96 kb/s

[graph 0 input from stream 0:0 @ 0x1446100] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x4
[audio format for output stream 0:0 @ 0x14462c0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0x1468780] ch:1 chl:mono fmt:fltp r:44100Hz -> ch:1 chl:mono fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./beep1.ogg.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, mono, s16, 705 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (vorbis (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 432kB time=00:00:05.01 bitrate= 705.7kbits/s speed= 481x
video:0kB audio:432kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.017627%
Input file #0 (./beep1.ogg):

Input stream #0:0 (audio): 221 packets read (51131 bytes); 220 frames decoded (221248 samples);
Total: 221 packets (51131 bytes) demuxed

Output file #0 (dec/./beep1.ogg.wav):

Output stream #0:0 (audio): 220 frames encoded (221248 samples); 220 packets muxed (442496 bytes);
Total: 220 packets (442496 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[wav @ 0x20eb2e0] parser not found for codec pcm_s16le, packets or times may be invalid.
Guessed Channel Layout for Input Stream #0.0 : stereo
Input #0, wav, from './triangle1.wav':

Duration: 00:00:01.93, bitrate: 1411 kb/s

Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, 2 channels, s16, 1411 kb/s

[graph 0 input from stream 0:0 @ 0x2118440] tb:1/44100 samplefmt:s16 samplerate:44100 chlayout:0x3
Output #0, wav, to 'dec/./triangle1.wav.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (pcm_s16le (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 333kB time=00:00:01.93 bitrate=1411.5kbits/s speed= 855x
video:0kB audio:333kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.022869%
Input file #0 (./triangle1.wav):

Input stream #0:0 (audio): 84 packets read (341076 bytes); 84 frames decoded (85269 samples);
Total: 84 packets (341076 bytes) demuxed

Output file #0 (dec/./triangle1.wav.wav):

Output stream #0:0 (audio): 84 frames encoded (85269 samples); 84 packets muxed (341076 bytes);
Total: 84 packets (341076 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0xda02e0] 655 bytes of comment header remain
Input #0, ogg, from './music0.opus':

Duration: 00:00:03.02, start: 0.000000, bitrate: 158 kb/s

Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0xda4fe0] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x3
[audio format for output stream 0:0 @ 0xda5860] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0xda75e0] ch:2 chl:stereo fmt:fltp r:48000Hz -> ch:2 chl:stereo fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./music0.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 565kB time=00:00:03.00 bitrate=1540.0kbits/s speed= 128x
video:0kB audio:565kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.013473%
Input file #0 (./music0.opus):

Input stream #0:0 (audio): 151 packets read (58406 bytes); 151 frames decoded (144735 samples);
Total: 151 packets (58406 bytes) demuxed

Output file #0 (dec/./music0.opus.wav):

Output stream #0:0 (audio): 151 frames encoded (144735 samples); 151 packets muxed (578940 bytes);
Total: 151 packets (578940 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[mp3 @ 0xb822e0] Skipping 0 bytes of junk at 417.
Input #0, mp3, from './music0.mp3':

Duration: 00:00:03.06, start: 0.025057, bitrate: 178 kb/s

Stream #0:0: Audio: mp3, 44100 Hz, stereo, s16p, 178 kb/s
Metadata:

encoder : LAME3.99r

[graph 0 input from stream 0:0 @ 0xb85a40] tb:1/44100 samplefmt:s16p samplerate:44100 chlayout:0x3
[audio format for output stream 0:0 @ 0xb93fe0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0xb96500] ch:2 chl:stereo fmt:s16p r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Output #0, wav, to 'dec/./music0.mp3.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Metadata:

encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (mp3 (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 518kB time=00:00:03.00 bitrate=1411.4kbits/s speed= 224x
video:0kB audio:518kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.014701%
Input file #0 (./music0.mp3):

Input stream #0:0 (audio): 117 packets read (67782 bytes); 117 frames decoded (132648 samples);
Total: 117 packets (67782 bytes) demuxed

Output file #0 (dec/./music0.mp3.wav):

Output stream #0:0 (audio): 117 frames encoded (132648 samples); 117 packets muxed (530592 bytes);
Total: 117 packets (530592 bytes) muxed

ffmpeg version N-78622-g2b5b001 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 5.3.1 (Debian 5.3.1-9) 20160220
configuration: --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_amrwbenc
libavutil 55. 18.100 / 55. 18.100
libavcodec 57. 24.105 / 57. 24.105
libavformat 57. 26.100 / 57. 26.100
libavdevice 57. 0.101 / 57. 0.101
libavfilter 6. 34.100 / 6. 34.100
libavresample 3. 0. 0 / 3. 0. 0
libswscale 4. 0.100 / 4. 0.100
libswresample 2. 0.101 / 2. 0.101
libpostproc 54. 0.100 / 54. 0.100

[ogg @ 0xf9f2e0] 655 bytes of comment header remain
Input #0, ogg, from './h-moll0.opus':

Duration: 00:00:00.79, start: 0.000000, bitrate: 194 kb/s

Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
Metadata:

ENCODER : opusenc from opus-tools 0.1.9
ENCODER_OPTIONS : --bitrate 128 --vbr

[graph 0 input from stream 0:0 @ 0xfa3fe0] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x3
[audio format for output stream 0:0 @ 0xfa4860] auto-inserting filter 'auto-inserted resampler 0' between the filter 'Parsed_anull_0' and the filter 'audio format for output stream 0:0'
[auto-inserted resampler 0 @ 0xfa65e0] ch:2 chl:stereo fmt:fltp r:48000Hz -> ch:2 chl:stereo fmt:s16 r:48000Hz
Output #0, wav, to 'dec/./h-moll0.opus.wav':

Metadata:

ISFT : Lavf57.26.100
Stream #0:0: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 48000 Hz, stereo, s16, 1536 kb/s
Metadata:

ENCODER_OPTIONS : --bitrate 128 --vbr
encoder : Lavc57.24.105 pcm_s16le

Stream mapping:

Stream #0:0 -> #0:0 (opus (native) -> pcm_s16le (native))

Press [q] to stop, ? for help
No more output streams to write to, finishing.
size= 148kB time=00:00:00.77 bitrate=1551.4kbits/s speed= 115x
video:0kB audio:147kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.051668%
Input file #0 (./h-moll0.opus):

Input stream #0:0 (audio): 40 packets read (18198 bytes); 40 frames decoded (37741 samples);
Total: 40 packets (18198 bytes) demuxed

Output file #0 (dec/./h-moll0.opus.wav):

Output stream #0:0 (audio): 40 frames encoded (37741 samples); 40 packets muxed (150964 bytes);
Total: 40 packets (150964 bytes) muxed

Note: See TracTickets for help on using tickets.